org.eclipse.mat.ui.util

## Class ErrorHelper

- java.lang.Object
- - org.eclipse.mat.ui.util.ErrorHelper

    public class ErrorHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ErrorHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IStatus` `createErrorStatus(String message)`
`static IStatus` `createErrorStatus(String message, Throwable throwable)` Create an Eclipse Status message with details about the exceptions including text from all the exception causes.
`static IStatus` `createErrorStatus(Throwable throwable)`
`static String` `enrichErrorMessage(String message, String exceptionType)` exceptionType is String because of FailureObject
`static void` `logThrowable(Throwable throwable)`
`static void` `logThrowableAndShowMessage(Throwable throwable)`
`static void` `logThrowableAndShowMessage(Throwable throwable, String message)`
`static void` `showErrorMessage(String message)`
`static void` `showErrorMessage(Throwable throwable)`
`static void` `showInfoMessage(String message)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorHelper

    public ErrorHelper()

### Method Detail

#### logThrowable

    public static void logThrowable(Throwable throwable)

#### logThrowableAndShowMessage

    public static void logThrowableAndShowMessage(Throwable throwable,
                                                  String message)

#### logThrowableAndShowMessage

    public static void logThrowableAndShowMessage(Throwable throwable)

#### showErrorMessage

    public static void showErrorMessage(Throwable throwable)

#### showErrorMessage

    public static void showErrorMessage(String message)

#### showInfoMessage

    public static void showInfoMessage(String message)

#### createErrorStatus

    public static IStatus createErrorStatus(String message)

#### createErrorStatus

    public static IStatus createErrorStatus(Throwable throwable)

#### createErrorStatus

    public static IStatus createErrorStatus(String message,
                                            Throwable throwable)

Create an Eclipse Status message with details about the exceptions including text from all the exception causes. This method is aware of Eclipse CoreExceptions which have child status objects. The details view of the ErrorDialog can then show text from all the exception causes which wouldn't happen without this routine.

Parameters:
  `message` -
  `throwable` -
Returns:
  the combined status

#### enrichErrorMessage

    public static String enrichErrorMessage(String message,
                                            String exceptionType)

exceptionType is String because of FailureObject